uniform sampler2D RTBlurH; // this should hold the texture rendered by the horizontal blur pass
 
uniform float blurSize;
 
void main(void)
{
   vec4 sum = vec4(0.0);
   vec2 vTexCoord = gl_TexCoord[0].xy;

   // blur in y (vertical)
   // take nine samples, with the distance blurSize between them
   //sum += texture2D(RTBlurH, vec2(vTexCoord.x, vTexCoord.y - 7.5*blurSize)) * 0.05;
   //sum += texture2D(RTBlurH, vec2(vTexCoord.x, vTexCoord.y - 5.5*blurSize)) * 0.09;
   //sum += texture2D(RTBlurH, vec2(vTexCoord.x, vTexCoord.y - 3.5*blurSize)) * 0.12;
   sum += texture2D(RTBlurH, vec2(vTexCoord.x, vTexCoord.y - 1.5*blurSize)) * 0.15;
   sum += texture2D(RTBlurH, vec2(vTexCoord.x, vTexCoord.y               )) * 0.16;
   sum += texture2D(RTBlurH, vec2(vTexCoord.x, vTexCoord.y + 1.5*blurSize)) * 0.15;
   //sum += texture2D(RTBlurH, vec2(vTexCoord.x, vTexCoord.y + 3.5*blurSize)) * 0.12;
   //sum += texture2D(RTBlurH, vec2(vTexCoord.x, vTexCoord.y + 5.5*blurSize)) * 0.09;
   //sum += texture2D(RTBlurH, vec2(vTexCoord.x, vTexCoord.y + 7.5*blurSize)) * 0.05;
   
   if(sum[3] > .001)
     gl_FragColor = vec4(0,0,0,1);
   else
     gl_FragColor = vec4(0,0,0,0);

}